<?php

session_start();



define("_VALID_ACCESS_","1");



include_once("../includes/config.php") ;

include_once("../includes/func.php") ;

include_once("../includes/DBclass.php") ;



$mysqlQuery=new mysqlQueryClass();



if (!empty($_POST["name"]) && !empty($_POST["pass"])) {

	

	$name = addslashes($_POST["name"]);

	$name = str_replace("\"", "\\\"", $name);

	$name = str_replace("\'", "\\\'", $name);



	$password = md5($_POST["pass"]);



	$query="SELECT `admin_id` ,`name`, `level` FROM `admins` WHERE `name` LIKE '$name' AND `password` LIKE '$password' ";

	$mysqlQuery->mysqlQuery($query);



	if ($mysqlQuery->resultNoRows == 1) 

	{

		

		list($adminId,$name,$level) = $mysqlQuery->result;

		

		$_SESSION["validAdmin"] = md5($adminId.$name);

		$_SESSION["adminid"]    = $adminId ;

		$_SESSION["level"]    = $level ;

		$_SESSION["timeStamp"]  = time();

		

//		header("Location: ./admin.php");



echo "<meta http-equiv='refresh' content='2; url=admin.php'>";

echo "<head><title> لوحة التحكم - تسجيل الدخول </title></head>";

include('count.php');

print"<center><font size='5' color='#ffffff'>مرحبا بك يا</font><br><font size='5' color='blue'>~~~$name~~~</font><br><br>";

print"<font size='4'>جاري تحويلك للوحة التحكم</font><br><br>";

print"<img src='images/load.gif'></center>";



	}

	else {

	include('count.php');

	echo "<meta http-equiv='refresh' content='2; url=index.php'>";
	echo "<head><title> خطأ </title></head>";

		error("<h3>يوجد خطأ في اسم المستخدم او كلمة المرور<br />...<br /> العودة للرئيسية");

		

		

			}

}

else {

include('count.php');

echo "<meta http-equiv='refresh' content='2; url=index.php'>";
echo "<head><title> يجب تكملة الحقول </title></head>";

	error("<h3>يجب تكملة حقل اسم المستخدم و كلمة المرور<br />...<br /> العودة للرئيسية");

	

	

}



?>